body {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    overflow: auto;
    font-family: Helvetica, Arial, sans-serif;
    font-size: 9pt;
}

hr {
    width: 100%;
    margin-top: 20px;
    margin-bottom: 20px;
    display: none;
}

h1{
    font-weight: 600;
    font-size: 14pt;
    text-align: center;
}

.main {
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    width: 1000px;
    justify-content: space-between;
    align-content: center;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    margin: auto;
}

.block {
    
    padding: 10px;
    width: 500px;
    /*
    display: flex;
    flex-direction: column;
    border-radius: 10px;
    border: 1px solid #eaeaea;
    margin-bottom: 20px;
    background: #f8f8f8;
    */
}

.group {
    /* padding: 10px;
    margin: 10px; */
    margin-top: 10px;
    margin-bottom: 10px;
    border-radius: 10px;
    /* border:1px solid #eaeaea; */
}

#type_oid {
    display: none;
    flex-direction: column;

}

.align_center {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.pkcs {
    display: flex;
    flex-direction: column;
}


#request {
    width: 300px;
    height: 300px;
}

.input_text {
    width: 100%;
    padding-top: 3px;
    padding-bottom: 3px;
    padding-left: 8px;
    margin-bottom: 3px;
}

.input_key_length {
    width: 50px;
}
.input_container{
    display: flex;
    flex-direction: row;
    align-items: center;
}

.button {
    background-color: #8BC34A;
    width: 300px;
    border-radius: 100px;
    border: 1px solid #eeeeee;
    height: 40px;
    color: white;
    font-size: 12pt;
    font-weight: 500;
}

select {
    width: 100%;
    border-radius: 5px;
    border: 1px solid #ddd;
    /* background: #eee; */
}

input {
    border-radius: 5px;
    border: 1px solid #ddd;
}

textarea {
    border-radius: 5px;
    border: 1px solid #ddd;
}

label {
    display: flex;
}

p {
    margin: 0;
}
.p_header{
    font-weight: 600;
    text-align: center;
    margin-bottom: 20px;
}
.p_input {
   width: 300px;
}

.existing_keys {
    display: none;
}

.text_comment {
    font-size: 80%;
    color: #939393;
}

#container_name_new {
    display: none;
}

#container_name_existing {
    display: none;
}

.done {
    /*
    background: #DCEDC8;
    */
}

.half {
    background: #FFF9C4;
}

.no {
    background: #ffcdd2;
}

.hidden {
    display: none;
}

.require:after {
    content: "*";
    color: #f00;
    
    padding: 2px;
    font-weight: 900;
}

p.new:after {
      content: "*"; 
      color: #ff0000;       
      font-size: 120%;
      padding: 2px; 
    }